Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058192 - Cannot install gtk3-devel.i686 after installing gtk3-devel.x86_64 on a Fedora 20 64bit install
Summary: Cannot install gtk3-devel.i686 after installing gtk3-devel.x86_64 on a Fedora...
Keywords:
Status: CLOSED DUPLICATE of bug 831394
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk3
Version: 20
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-27 08:14 UTC by dustin.moline
Modified: 2014-09-04 04:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-04 04:29:35 UTC


Attachments (Terms of Use)

Description dustin.moline 2014-01-27 08:14:48 UTC
Description of problem:
Cannot install gtk3-devel.i686 after installing gtk3-devel.x86_64 on a Fedora 20 64bit install.

Version-Release number of selected component (if applicable):
gtk3-devel-3.10.6-1.fc20.i686.rpm 

How reproducible:
Every time

Steps to Reproduce:
1. Install Fedora 20 64bit
2. Install gtk3-devel.x86_64
3. Install gtk3-devel.i686

Actual results:


Transaction check error:
  ================================================================================
Installing:
 gtk3-devel         i686         3.10.6-1.fc20            updates         3.4 M

Transaction Summary
================================================================================
Install  1 Package

Total download size: 3.4 M
Installed size: 25 M
Downloading packages:
gtk3-devel-3.10.6-1.fc20.i686.rpm                          | 3.4 MB   00:02     
Running transaction check
Running transaction test


Transaction check error:
  file /usr/share/gir-1.0/Gtk-3.0.gir from install of gtk3-devel-3.10.6-1.fc20.i686 conflicts with file from package gtk3-devel-3.10.6-1.fc20.x86_64

Error Summary
-------------



Expected results:
Package is installed.

Additional info:

Comment 1 Jim Mayer 2014-04-24 19:43:59 UTC
I can confirm this problem:

sudo yum install gtk3-devel
[sudo] password for jmayer: 
Loaded plugins: langpacks, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package gtk3-devel.x86_64 0:3.10.8-1.fc20 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

=================================================================================================================================================
 Package                            Arch                           Version                                 Repository                       Size
=================================================================================================================================================
Installing:
 gtk3-devel                         x86_64                         3.10.8-1.fc20                           updates                         3.4 M

Transaction Summary
=================================================================================================================================================
Install  1 Package

Total size: 3.4 M
Installed size: 25 M
Is this ok [y/d/N]: y
Downloading packages:
Running transaction check
Running transaction test


Transaction check error:
  file /usr/share/gir-1.0/Gtk-3.0.gir from install of gtk3-devel-3.10.8-1.fc20.x86_64 conflicts with file from package gtk3-devel-3.10.8-1.fc20.i686

Error Summary
-------------

Comment 2 Matthias Clasen 2014-09-04 04:29:35 UTC

*** This bug has been marked as a duplicate of bug 831394 ***


Note You need to log in before you can comment on or make changes to this bug.